Rated 1 out of 5 stars

Since this does NOT wrk with Firefox 3.6.8, just do what I do with "Calc" (a calculator FF add-on and some other addons):

First off, right click this, "save the link as," and download the .xpi file. Then, open the .xpi file up with WinRar (do not extract the .xpi file, just open it), then pull out the file called "install.rdf" from the WinRar menu of files. Then, leaving WinRar open the whole time, just open the "install.rdf" file with Wordpad or Notepad and look for the code about halfway through the coding you see in the file. The line of code looks like: "<em:maxVersion>3.0.*</em:maxVersion>
". Just change the 3.0.* to 3.6.8 or whatever the current version of Firefox is. Then, after modifying the "install.rdf" file, save the "install.rdf" file, close the file and then you drag the "install.rdf" file back into the WinRar program that has been left open the whole time, and drop it into WinRar's files where you first pulled the file out of. It'll want you to overwrite the old install.rdf file and go ahead and overwrite the file by clicking on "OK." You can also just delete the "install.rdf" file once you have modified it and overwrote within WinRar and it's became part of the original add-on and all that. Then, close WinRar and open up the modified .xpi file with Mozilla Firefox and it'll open up the "install an add-on pop-up" that we are all used to seeing where it counts down from 3 or 5 down to 1 and then allows us to install the Firefox add-on. It'll install fine- I do it ALL the time whit outdated add-ons! The only reason it might not work with some add-ons is because it connects to a database or there is bad code somewhere else that will not allow it to connect to wherever it connects to do whatever it is that it does (like an SQL database for example)- lol.. That was a mouthful! Ok, Cyaz!